Bug 134982 - kernel panic, null pointer dereference at virtual address 0000000c
kernel panic, null pointer dereference at virtual address 0000000c
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 13:39 EDT by Hrunting Johnson
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2004-10-07 13:39:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
Kernel panics once every 2-5 days with the same panic message:

Unable to handle kernel NULL pointer dereference at virtual address
0000000c
 printing eip:
022b7203
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in: e1000 bonding md5 ipv6 8021q floppy sg microcode
raid0 dm_mod uhci_hcd button battery asus_acpi ac ext3 jbd raid1
3w_xxxx sd_mod scsi_mod
CPU:    1
EIP:    0060:[<022b7203>]    Not tainted
EFLAGS: 00010246   (2.6.8-1.521smp)
EIP is at arp_solicit+0xa5/0x1b2
eax: 00000000   ebx: 81f94880   ecx: 023ccf20   edx: 00000002
esi: 66279780   edi: 31810880   ebp: 00000004   esp: 023ccf90
ds: 007b   es: 007b   ss: 0068
Process cycloned (pid: 24089, threadinfo=023cc000 task=7dc40230)
Stack: 8d6ec4d8 804d7000 00000000 00000000 31810880 10cc580b 02285e34
023ccfc4
       02285f7b 040226e0 31810880 02128ae0 023ccfc4 023ccfc4 023ccfc4
023ccfd8
       00000000 82838bcf 023ccfd8 00000001 02391b88 00000009 00000000
02124fe4
Call Trace:
Stack pointer is garbage, not printing trace
Code: 8b 40 0c 89 44 24 0c eb 32 85 f6 74 2e 8b 46 28 8b 40 0c 89
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

Unable to handle kernel NULL pointer dereference at virtual address
0000000c
 printing eip:
022b7203
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in: md5 ipv6 e1000 bonding 8021q floppy sg microcode
raid0 dm_mod uhci_hcd button battery asus_acpi ac ext3 jbd raid1
3w_xxxx sd_mod scsi_mod
CPU:    3
EIP:    0060:[<022b7203>]    Not tainted
EFLAGS: 00010246   (2.6.8-1.521smp)
EIP is at arp_solicit+0xa5/0x1b2
eax: 00000000   ebx: 39fe2d80   ecx: 023cef20   edx: 00000002
esi: 4b28ca80   edi: 7e96f880   ebp: 00000004   esp: 023cef90
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 0, threadinfo=023ce000 task=81f805f0)
Stack: 8d6ec4d8 7ffaec00 00000000 00000000 7e96f880 06921a91 02285e34
023cefc4
       02285f7b 040326e0 7e96f880 02128ae0 023cefc4 023cefc4 023cefc4
0000000a
       81f9af8c 00000180 0000007b 00000001 02391b88 0000000a 81f9af8c
02124fe4
Call Trace:
Stack pointer is garbage, not printing trace
Code: 8b 40 0c 89 44 24 0c eb 32 85 f6 74 2e 8b 46 28 8b 40 0c 89
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

Unable to handle kernel NULL pointer dereference at virtual address
0000000c
 printing eip:
022b7203
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in: md5 ipv6 e1000 bonding 8021q floppy sg microcode
raid0 dm_mod uhci_hcd button battery asus_acpi ac ext3 jbd raid1
3w_xxxx sd_mod scsi_mod
CPU:    2
EIP:    0060:[<022b7203>]    Not tainted
EFLAGS: 00010246   (2.6.8-1.521smp)
EIP is at arp_solicit+0xa5/0x1b2
eax: 00000000   ebx: 39febd80   ecx: 023cdf20   edx: 00000002
esi: 406a5e80   edi: 7f068a80   ebp: 00000004   esp: 023cdf90
ds: 007b   es: 007b   ss: 0068
Process cycloned (pid: 6685, threadinfo=023cd000 task=0dacd1f0)
Stack: 8d6ec4d8 7fb4b800 00000000 00000000 7f068a80 167b4647 02285e34
023cdfc4
       02285f7b 0402a6e0 7f068a80 02128ae0 023cdfc4 023cdfc4 023cdfc4
0402bc00
       167b425f 02282085 0000012c 00000001 02391b88 0000000a 54663fc4
02124fe4
Call Trace:
Stack pointer is garbage, not printing trace
Code: 8b 40 0c 89 44 24 0c eb 32 85 f6 74 2e 8b 46 28 8b 40 0c 89
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

Box is a dual Pentium 3.06GHz box, with hyperthreading enabled,
running a single very heavily threaded server process taking in about
120Mbps and pushing out anywhere from 30-150Mbps.  There are no
preceeding circumstances to the panic that I can find.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Load kernel, run server, and wait
2.
3.
    

Actual Results:  Machine panics

Expected Results:  Machine does not panic

Additional info:
Comment 1 Dave Jones 2004-10-29 17:34:02 EDT
still a problem with the current tree / test isos ?
Comment 2 Dave Jones 2005-04-16 01:51:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.